Phonon-backend-vlc-0.11.1

Introduction to the Phonon-backend-vlc

This package provides a Phonon backend which utilizes the VLC media framework.

This package is known to build and work properly using an LFS-9.0 platform.

Package Information

Phonon-backend-vlc Dependencies

Required

phonon-4.11.1 and VLC-3.0.8

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/phonon-backend-vlc

Installation of Phonon-backend-vlc

Install Phonon-backend-vlc by running the following commands:

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=/usr \
      -DCMAKE_BUILD_TYPE=Release  \
      .. &&
make

Now, as the root user:

make install

Command Explanations

-DCMAKE_BUILD_TYPE=Release: This switch is used to apply higher level of compiler optimizations.

Contents

Installed Program: none
Installed Libraries: phonon_vlc.so
Installed Directory: /usr/lib/qt5/plugins/phonon4qt5_backend

Last updated on 2019-09-27 12:54:34 -0500